org.apache.ignite.internal.processors.igfs

## Class IgfsInputStreamDescriptor

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsInputStreamDescriptor

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsInputStreamDescriptor
    extends Object
    implements Externalizable

IGFS input stream descriptor - includes stream id and length.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsInputStreamDescriptor()` Empty constructor required by `Externalizable`.
`IgfsInputStreamDescriptor(long streamId, long len)` Input stream descriptor constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `length()`
`void` `readExternal(ObjectInput in)`
`long` `streamId()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsInputStreamDescriptor

    public IgfsInputStreamDescriptor()

Empty constructor required by `Externalizable`.

#### IgfsInputStreamDescriptor

    public IgfsInputStreamDescriptor(long streamId,
                                     long len)

Input stream descriptor constructor.

Parameters:
  `streamId` - Stream id.
  `len` - Available length.

### Method Detail

#### streamId

    public long streamId()

Returns:
  Stream ID.

#### length

    public long length()

Returns:
  Available length.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019